%define rname ldap
%define name ruby-%{rname}
%define version 0.9.2
%define release 2mdk

Summary: Ruby extension library for accessing LDAP API
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://ruby-ldap.sourceforge.net/
Source0: http://ovh.dl.sourceforge.net/sourceforge/ruby-ldap/ruby-%{rname}-%{version}.tar.bz2
License: BSD-like
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ruby >= 1.8
BuildRequires: ruby-devel openldap-devel

%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%define ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')

%description
Ruby/LDAP is an extension module for ruby, it provides the interface to some
LDAP libraries (for example, OpenLDAP, UMich LDAP, Netscape SDK,
ActiveDirectory). The common API for application developments is described in
RFC1823, Most of libraries comply with it.
This package is build with OpenLDAP2.

%prep
%setup -q 

%build
ruby extconf.rb
make
chmod 0644 test/*.rb
chmod 0755 example/cgi/search.cgi

%install
rm -rf %buildroot
%makeinstall

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{ruby_archdir}/*.so
%{ruby_libdir}/ldap
%doc COPYING README FAQ ChangeLog example/ test/

%changelog
* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-2mdk
- rebuilt against new openldap-2.3.6 libs

* Mon Jul 11 2005 Pascal Terjan <pterjan@mandrake.org> 0.9.2-1mdk
- 0.9.2

* Thu Mar 31 2005 Pascal Terjan <pterjan@mandrake.org> 0.9.1-2mdk
- lib64 fix

* Tue Mar 15 2005 Pascal Terjan <pterjan@mandrake.org> 0.9.1-1mdk
- 0.9.1

* Tue Feb 08 2005 Pascal Terjan <pterjan@mandrake.org> 0.8.4-1mdk
- 0.8.4

* Mon Feb 07 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.8.3-2mdk
- rebuild for ldap2.2_7


* Wed Jan 12 2004 Pascal Terjan <pterjan@mandrake.org> 0.8.3-1mdk 
- first mdk release
